/* $Id: storclass.h,v 1.1 1990/10/16 17:11:32 jay Exp $ */
/*
 *   STORAGE CLASSES
 */

#define  C_EFCN          -1L    /* physical end of function */
#define  C_NULL          0L
#define  C_AUTO          1L     /* automatic variable */
#define  C_EXT           2L     /* external symbol */
#define  C_STAT          3L     /* static */
#define  C_REG           4L     /* register variable */
#define  C_EXTDEF        5L     /* external definition */
#define  C_LABEL         6L     /* label */
#define  C_ULABEL        7L     /* undefined label */
#define  C_MOS           8L     /* member of structure */
#define  C_ARG           9L     /* function argument */
#define  C_STRTAG        10L    /* structure tag */
#define  C_MOU           11L    /* member of union */
#define  C_UNTAG         12L    /* union tag */
#define  C_TPDEF         13L    /* type definition */
#define C_USTATIC	 14L    /* undefined static */
#define  C_ENTAG         15L    /* enumeration tag */
#define  C_MOE           16L    /* member of enumeration */
#define  C_REGPARM	 17L    /* register parameter */
#define  C_FIELD         18L    /* bit field */
#define  C_BLOCK         100L   /* ".bb" or ".eb" */
#define  C_FCN           101L   /* ".bf" or ".ef" */
#define  C_EOS           102L   /* end of structure */
#define  C_FILE          103L   /* file name */

	/*
	 * The following storage class is a "dummy" used only by STS
	 * for line number entries reformatted as symbol table entries
	 */

#define  C_LINE		 104L
#define  C_ALIAS	 105L   /* duplicate tag */
#define  C_HIDDEN	 106L   /* special storage class for external */
