/* $Id: m-m56k.h,v 1.16 1993/03/04 22:59:59 jay Exp $ */
/* Parameters for execution on a M56K, for GDB, the GNU debugger.
   Copyright (C) 1986, 1987, 1989 Free Software Foundation, Inc.
   Contributed by Michael Tiemann (tiemann@mcc.com)

		$Id: m-m56k.h,v 1.16 1993/03/04 22:59:59 jay Exp $

This file is part of GDB.

GDB is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

GDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GDB; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* Change definition of CORE_ADDR to allow specification of the
	multiple memory maps of the device */
#ifdef COFF_AOUT_H
#undef COFF_AOUT_H
#endif
#ifdef VALID_TEXT_ADDRESS
#undef VALID_TEXT_ADDRESS
#endif
#ifdef UNDERSCORE_PREFIX_CHAR
#undef UNDERSCORE_PREFIX_CHAR
#endif
#ifdef CORE_ZERO
#undef CORE_ZERO
#endif
#ifdef FRAME_ZERO
#undef FRAME_ZERO
#endif
#ifdef LONGEST_ZERO
#undef LONGEST_ZERO
#endif
#ifdef UNSIGNED_LONGEST
#undef UNSIGNED_LONGEST
#endif
#ifdef LONGEST
#undef LONGEST
#endif
#ifdef CORE_ADDR
#undef CORE_ADDR
#endif
#ifdef COFF_VALUE
#undef COFF_VALUE
#endif
#ifdef CORE_ADDR_ADDR
#undef CORE_ADDR_ADDR
#endif
#ifdef CORE_ADDR_MAP
#undef CORE_ADDR_MAP
#endif
#ifndef DGC
#define DGC 0
#endif
#ifndef HP
#define HP 0
#endif
#include "coreaddr.h"
#define LONGEST CORE_ADDR
#define UNSIGNED_LONGEST CORE_ADDR 
extern LONGEST longest_zero;
extern CORE_ADDR core_zero;
extern CORE_ADDR frame_zero_init;

#ifdef LMAP
#undef LMAP
#endif
#ifdef LM_CHAR_TYPE
#undef LM_CHAR_TYPE
#endif
#ifdef XY_CHAR_TYPE
#undef XY_CHAR_TYPE
#endif
#ifdef DOUBLE_TYPE
#undef DOUBLE_TYPE
#endif
#ifdef FLOAT_TYPE
#undef FLOAT_TYPE
#endif
#ifdef EXTEND_CHAR
#undef EXTEND_CHAR
#endif
#ifdef EXTEND_SHORT
#undef EXTEND_SHORT
#endif
#ifdef EXTEND_INT
#undef EXTEND_INT
#endif
#ifdef EXTEND_LONG
#undef EXTEND_LONG
#endif
#ifdef EXTEND_UNSIGNED_CHAR
#undef EXTEND_UNSIGNED_CHAR
#endif
#ifdef EXTEND_UNSIGNED_SHORT
#undef EXTEND_UNSIGNED_SHORT
#endif
#ifdef EXTEND_UNSIGNED_INT
#undef EXTEND_UNSIGNED_INT
#endif
#ifdef EXTEND_UNSIGNED_LONG
#undef EXTEND_UNSIGNED_LONG
#endif
#ifdef EXTEND_POINTER
#undef EXTEND_POINTER
#endif
#ifdef LONGEST_TO_UNSIGNED_LONGEST
#undef LONGEST_TO_UNSIGNED_LONGEST
#endif
#ifdef UNSIGNED_LONGEST_TO_LONGEST
#undef UNSIGNED_LONGEST_TO_LONGEST
#endif
#ifdef ADD_DOUBLE
#undef ADD_DOUBLE
#endif
#ifdef SUB_DOUBLE
#undef SUB_DOUBLE
#endif
#ifdef MUL_DOUBLE
#undef MUL_DOUBLE
#endif
#ifdef DIV_DOUBLE
#undef DIV_DOUBLE
#endif
#ifdef ADD_UNSIGNED_LONGEST
#undef ADD_UNSIGNED_LONGEST
#endif
#ifdef SUB_UNSIGNED_LONGEST
#undef SUB_UNSIGNED_LONGEST
#endif
#ifdef MUL_UNSIGNED_LONGEST
#undef MUL_UNSIGNED_LONGEST
#endif
#ifdef DIV_UNSIGNED_LONGEST
#undef DIV_UNSIGNED_LONGEST
#endif
#ifdef REM_UNSIGNED_LONGEST
#undef REM_UNSIGNED_LONGEST
#endif
#ifdef LSH_UNSIGNED_LONGEST
#undef LSH_UNSIGNED_LONGEST
#endif
#ifdef RSH_UNSIGNED_LONGEST
#undef RSH_UNSIGNED_LONGEST
#endif
#ifdef LOGAND_UNSIGNED_LONGEST
#undef LOGAND_UNSIGNED_LONGEST
#endif
#ifdef LOGIOR_UNSIGNED_LONGEST
#undef LOGIOR_UNSIGNED_LONGEST
#endif
#ifdef LOGXOR_UNSIGNED_LONGEST
#undef LOGXOR_UNSIGNED_LONGEST
#endif
#ifdef AND_UNSIGNED_LONGEST
#undef AND_UNSIGNED_LONGEST
#endif
#ifdef OR_UNSIGNED_LONGEST
#undef OR_UNSIGNED_LONGEST
#endif
#ifdef MIN_UNSIGNED_LONGEST
#undef MIN_UNSIGNED_LONGEST
#endif
#ifdef MAX_UNSIGNED_LONGEST
#undef MAX_UNSIGNED_LONGEST
#endif
#ifdef ADD_LONGEST
#undef ADD_LONGEST
#endif
#ifdef SUB_LONGEST
#undef SUB_LONGEST
#endif
#ifdef MUL_LONGEST
#undef MUL_LONGEST
#endif
#ifdef DIV_LONGEST
#undef DIV_LONGEST
#endif
#ifdef REM_LONGEST
#undef REM_LONGEST
#endif
#ifdef LSH_LONGEST
#undef LSH_LONGEST
#endif
#ifdef RSH_LONGEST
#undef RSH_LONGEST
#endif
#ifdef LOGAND_LONGEST
#undef LOGAND_LONGEST
#endif
#ifdef LOGIOR_LONGEST
#undef LOGIOR_LONGEST
#endif
#ifdef LOGXOR_LONGEST
#undef LOGXOR_LONGEST
#endif
#ifdef AND_LONGEST
#undef AND_LONGEST
#endif
#ifdef OR_LONGEST
#undef OR_LONGEST
#endif
#ifdef MIN_LONGEST
#undef MIN_LONGEST
#endif
#ifdef MAX_LONGEST
#undef MAX_LONGEST
#endif
#ifdef EQUAL_LONGEST
#undef EQUAL_LONGEST
#endif
#ifdef EQUAL_PTR
#undef EQUAL_PTR
#endif
#ifdef EQUAL_DOUBLE
#undef EQUAL_DOUBLE
#endif
#ifdef LESS_UNSIGNED_LONGEST
#undef LESS_UNSIGNED_LONGEST
#endif
#ifdef LESS_LONGEST
#undef LESS_LONGEST
#endif
#ifdef LESS_PTR
#undef LESS_PTR
#endif
#ifdef LESS_DOUBLE
#undef LESS_DOUBLE
#endif
#ifdef NEG_DOUBLE
#undef NEG_DOUBLE
#endif
#ifdef NEG_LONGEST
#undef NEG_LONGEST
#endif
#ifdef LOGNOT_LONGEST
#undef LOGNOT_LONGEST
#endif


#ifdef TARGET_WORD_NUM_BITS
#undef TARGET_WORD_NUM_BITS
#endif
#ifdef TARGET_PACKED_FIELDS_BIG_ENDIAN
#undef TARGET_PACKED_FIELDS_BIG_ENDIAN
#endif
#ifdef ADDRESS_ALIGN
#undef ADDRESS_ALIGN
#endif
#ifdef PADDRESS_ALIGN
#undef PADDRESS_ALIGN
#endif
#ifdef CORE_ADDR_CAST
#undef CORE_ADDR_CAST
#endif 
#ifdef CORE_ADDR_VALID
#undef CORE_ADDR_VALID
#endif 
#ifdef CORE_ADDR_INVALID
#undef CORE_ADDR_INVALID
#endif 
#ifdef INVALIDATE_CORE_ADDR
#undef INVALIDATE_CORE_ADDR
#endif 
#ifdef CORE_ADDR_W0
#undef CORE_ADDR_W0
#endif
#ifdef CORE_ADDR_W1
#undef CORE_ADDR_W1
#endif
#ifdef RESTART_CROSS_DEBUGGED_CODE
#undef RESTART_CROSS_DEBUGGED_CODE
#endif

#ifdef FLT_PTR
#undef FLT_PTR
#endif
#ifdef XY_FLT_PTR
#undef XY_FLT_PTR
#endif
#ifdef DOUBLE_PTR
#undef DOUBLE_PTR
#endif
#ifdef LM_CHAR_PTR
#undef LM_CHAR_PTR
#endif
#ifdef LM_SHORT_PTR
#undef LM_SHORT_PTR
#endif
#ifdef LM_LONG_PTR
#undef LM_LONG_PTR
#endif
#ifdef LM_INT_PTR
#undef LM_INT_PTR
#endif
#ifdef LM_UNSIGNED_CHAR_PTR
#undef LM_UNSIGNED_CHAR_PTR
#endif
#ifdef LM_UNSIGNED_SHORT_PTR
#undef LM_UNSIGNED_SHORT_PTR
#endif
#ifdef LM_UNSIGNED_INT_PTR
#undef LM_UNSIGNED_INT_PTR
#endif
#ifdef LM_UNSIGNED_LONG_PTR
#undef LM_UNSIGNED_LONG_PTR
#endif
#ifdef LM_POINTER_PTR
#undef LM_POINTER_PTR
#endif

#ifdef XY_CHAR_PTR
#undef XY_CHAR_PTR
#endif
#ifdef XY_SHORT_PTR
#undef XY_SHORT_PTR
#endif
#ifdef XY_INT_PTR
#undef XY_INT_PTR
#endif
#ifdef XY_LONG_PTR
#undef XY_LONG_PTR
#endif

#ifdef XY_UNSIGNED_CHAR_PTR
#undef XY_UNSIGNED_CHAR_PTR
#endif
#ifdef XY_UNSIGNED_SHORT_PTR
#undef XY_UNSIGNED_SHORT_PTR
#endif
#ifdef XY_UNSIGNED_INT_PTR
#undef XY_UNSIGNED_INT_PTR
#endif
#ifdef XY_UNSIGNED_LONG_PTR
#undef XY_UNSIGNED_LONG_PTR
#endif
#ifdef XY_POINTER_PTR
#undef XY_POINTER_PTR
#endif

#ifdef UNSIGNED_LONGEST_PTR
#undef UNSIGNED_LONGEST_PTR
#endif

#ifdef SIZEOF_FLT
#undef SIZEOF_FLT
#endif
#ifdef SIZEOF_DOUBLE
#undef SIZEOF_DOUBLE
#endif
#ifdef SIZEOF_CHAR
#undef SIZEOF_CHAR
#endif
#ifdef SIZEOF_SHORT
#undef SIZEOF_SHORT
#endif
#ifdef SIZEOF_INT
#undef SIZEOF_INT
#endif
#ifdef SIZEOF_LONG
#undef SIZEOF_LONG
#endif
#ifdef SIZEOF_UNSIGNED_CHAR
#undef SIZEOF_UNSIGNED_CHAR
#endif
#ifdef SIZEOF_UNSIGNED_SHORT
#undef SIZEOF_UNSIGNED_SHORT
#endif
#ifdef SIZEOF_UNSIGNED_INT
#undef SIZEOF_UNSIGNED_INT
#endif
#ifdef SIZEOF_UNSIGNED_LONG
#undef SIZEOF_UNSIGNED_LONG
#endif
#ifdef SIZEOF_POINTER
#undef SIZEOF_POINTER
#endif
#ifdef SIZEOF_REGISTER_TYPE
#undef SIZEOF_REGISTER_TYPE
#endif

#ifdef DSIZEOF_FLT
#undef DSIZEOF_FLT
#endif
#ifdef DSIZEOF_DOUBLE
#undef DSIZEOF_DOUBLE
#endif
#ifdef DSIZEOF_CHAR
#undef DSIZEOF_CHAR
#endif
#ifdef DSIZEOF_SHORT
#undef DSIZEOF_SHORT
#endif
#ifdef DSIZEOF_INT
#undef DSIZEOF_INT
#endif
#ifdef DSIZEOF_LONG
#undef DSIZEOF_LONG
#endif
#ifdef DSIZEOF_UNSIGNED_CHAR
#undef DSIZEOF_UNSIGNED_CHAR
#endif
#ifdef DSIZEOF_UNSIGNED_SHORT
#undef DSIZEOF_UNSIGNED_SHORT
#endif
#ifdef DSIZEOF_UNSIGNED_INT
#undef DSIZEOF_UNSIGNED_INT
#endif
#ifdef DSIZEOF_UNSIGNED_LONG
#undef DSIZEOF_UNSIGNED_LONG
#endif
#ifdef DSIZEOF_POINTER
#undef DSIZEOF_POINTER
#endif
#ifdef DSIZEOF_REGISTER_TYPE
#undef DSIZEOF_REGISTER_TYPE
#endif

#ifdef PRINT_WORD_D
#undef PRINT_WORD_D
#endif
#ifdef PRINT_WORD_U
#undef PRINT_WORD_U
#endif
#ifdef PRINT_WORD_X
#undef PRINT_WORD_X
#endif
#ifdef PRINT_WORD_O
#undef PRINT_WORD_O
#endif
#ifdef PRINT_WORD_0X
#undef PRINT_WORD_0X
#endif

#ifdef LONGEST_TO_HOST_CHAR
#undef LONGEST_TO_HOST_CHAR
#endif
#ifdef LONGEST_TO_HOST_INT
#undef LONGEST_TO_HOST_INT
#endif
#ifdef LONGEST_TO_HOST_UNSIGNED_CHAR
#undef LONGEST_TO_HOST_UNSIGNED_CHAR
#endif

#ifdef CORE_ADDR_TO_LONG
#undef CORE_ADDR_TO_LONG
#endif
#ifdef CORE_ADDR_TO_LONGEST
#undef CORE_ADDR_TO_LONGEST
#endif
#ifdef LONGEST_TO_CORE_ADDR
#undef LONGEST_TO_CORE_ADDR
#endif

#ifdef HOST_CHAR_TO_LONGEST
#undef HOST_CHAR_TO_LONGEST
#endif
#ifdef HOST_SHORT_TO_LONGEST
#undef HOST_SHORT_TO_LONGEST
#endif
#ifdef HOST_INT_TO_LONGEST
#undef HOST_INT_TO_LONGEST
#endif
#ifdef HOST_UNSIGNED_CHAR_TO_LONGEST
#undef HOST_UNSIGNED_CHAR_TO_LONGEST
#endif
#ifdef HOST_UNSIGNED_SHORT_TO_LONGEST
#undef HOST_UNSIGNED_SHORT_TO_LONGEST
#endif
#ifdef HOST_UNSIGNED_INT_TO_LONGEST
#undef HOST_UNSIGNED_INT_TO_LONGEST
#endif
#ifdef HOST_LONG_TO_LONGEST
#undef HOST_LONG_TO_LONGEST
#endif
#ifdef HOST_UNSIGNED_LONG_TO_LONGEST
#undef HOST_UNSIGNED_LONG_TO_LONGEST
#endif

#ifdef XY_TARGET_CHAR_TO_LONGEST
#undef XY_TARGET_CHAR_TO_LONGEST
#endif
#ifdef LM_TARGET_CHAR_TO_LONGEST
#undef LM_TARGET_CHAR_TO_LONGEST
#endif

#ifdef XY_LONGEST_TO_TARGET_CHAR
#undef XY_LONGEST_TO_TARGET_CHAR
#endif
#ifdef XY_LONGEST_TO_TARGET_SHORT
#undef XY_LONGEST_TO_TARGET_SHORT
#endif
#ifdef XY_LONGEST_TO_TARGET_INT
#undef XY_LONGEST_TO_TARGET_INT
#endif
#ifdef XY_LONGEST_TO_TARGET_LONG
#undef XY_LONGEST_TO_TARGET_LONG
#endif

#ifdef LM_LONGEST_TO_TARGET_CHAR
#undef LM_LONGEST_TO_TARGET_CHAR
#endif
#ifdef LM_LONGEST_TO_TARGET_SHORT
#undef LM_LONGEST_TO_TARGET_SHORT
#endif
#ifdef LM_LONGEST_TO_TARGET_INT
#undef LM_LONGEST_TO_TARGET_INT
#endif
#ifdef LM_LONGEST_TO_TARGET_LONG
#undef LM_LONGEST_TO_TARGET_LONG
#endif

#ifdef XY_TARGET_CHAR_TO_DOUBLE
#undef XY_TARGET_CHAR_TO_DOUBLE
#endif
#ifdef XY_TARGET_SHORT_TO_DOUBLE
#undef XY_TARGET_SHORT_TO_DOUBLE
#endif
#ifdef XY_TARGET_INT_TO_DOUBLE
#undef XY_TARGET_INT_TO_DOUBLE
#endif
#ifdef XY_TARGET_LONG_TO_DOUBLE
#undef XY_TARGET_LONG_TO_DOUBLE
#endif
 
#ifdef XY_TARGET_UNSIGNED_CHAR_TO_DOUBLE
#undef XY_TARGET_UNSIGNED_CHAR_TO_DOUBLE
#endif
#ifdef XY_TARGET_UNSIGNED_SHORT_TO_DOUBLE
#undef XY_TARGET_UNSIGNED_SHORT_TO_DOUBLE
#endif
#ifdef XY_TARGET_UNSIGNED_INT_TO_DOUBLE
#undef XY_TARGET_UNSIGNED_INT_TO_DOUBLE
#endif
#ifdef XY_TARGET_UNSIGNED_LONG_TO_DOUBLE
#undef XY_TARGET_UNSIGNED_LONG_TO_DOUBLE
#endif

#ifdef LM_TARGET_CHAR_TO_DOUBLE
#undef LM_TARGET_CHAR_TO_DOUBLE
#endif
#ifdef LM_TARGET_SHORT_TO_DOUBLE
#undef LM_TARGET_SHORT_TO_DOUBLE
#endif
#ifdef LM_TARGET_INT_TO_DOUBLE
#undef LM_TARGET_INT_TO_DOUBLE
#endif
#ifdef LM_TARGET_LONG_TO_DOUBLE
#undef LM_TARGET_LONG_TO_DOUBLE
#endif

#ifdef LM_TARGET_UNSIGNED_CHAR_TO_DOUBLE
#undef LM_TARGET_UNSIGNED_CHAR_TO_DOUBLE
#endif
#ifdef LM_TARGET_UNSIGNED_SHORT_TO_DOUBLE
#undef LM_TARGET_UNSIGNED_SHORT_TO_DOUBLE
#endif
#ifdef LM_TARGET_UNSIGNED_INT_TO_DOUBLE
#undef LM_TARGET_UNSIGNED_INT_TO_DOUBLE
#endif
#ifdef LM_TARGET_UNSIGNED_LONG_TO_DOUBLE
#undef LM_TARGET_UNSIGNED_LONG_TO_DOUBLE
#endif

#ifdef DOUBLE_TO_TARGET_DOUBLE
#undef DOUBLE_TO_TARGET_DOUBLE
#endif
#ifdef DOUBLE_TO_TARGET_FLOAT
#undef DOUBLE_TO_TARGET_FLOAT
#endif
#ifdef TARGET_DOUBLE_TO_DOUBLE
#undef TARGET_DOUBLE_TO_DOUBLE
#endif
#ifdef TARGET_FLOAT_TO_DOUBLE
#undef TARGET_FLOAT_TO_DOUBLE
#endif
#ifdef GDB_INIT_FILE
#undef GDB_INIT_FILE
#endif
#ifdef GDB_INIT_FILE2
#undef GDB_INIT_FILE2
#endif
#ifdef GDB_INIT_FILE3
#undef GDB_INIT_FILE3
#endif
#ifdef DEFAULT_PROMPT
#undef DEFAULT_PROMPT
#endif

extern CORE_ADDR stack_zero;
#define LMAP (CORE_ADDR_MAP(stack_zero)==memory_map_l)
#define DEBUG_FIRST_OBJECT_FILE
#if MSDOS
#define GDB_INIT_FILE "_gdbinit.56"
#define GDB_INIT_FILE2 "/_gdbinit.56"
#define GDB_INIT_FILE3 "./_gdbinit.56"
#else
#define GDB_INIT_FILE ".gdbinit56"
#define GDB_INIT_FILE2 "/.gdbinit56"
#define GDB_INIT_FILE3 "./.gdbinit56"
#endif
#define DEFAULT_PROMPT "(gdb56) "

#define LM_CHAR_TYPE LONGEST
#define XY_CHAR_TYPE long
#define DOUBLE_TYPE LONGEST
#define FLOAT_TYPE LONGEST

#define FLT_PTR LONGEST *
#define XY_FLT_PTR LONGEST *
#define DOUBLE_PTR LONGEST *

#define LM_CHAR_PTR LONGEST *
#define LM_LONG_PTR LONGEST *
#define LM_SHORT_PTR LONGEST *
#define LM_INT_PTR LONGEST *

#define LM_UNSIGNED_CHAR_PTR LONGEST *
#define LM_UNSIGNED_SHORT_PTR LONGEST *
#define LM_UNSIGNED_LONG_PTR LONGEST *
#define LM_UNSIGNED_INT_PTR LONGEST *
#define LM_POINTER_PTR LONGEST *

#define XY_CHAR_PTR long *
#define XY_LONG_PTR LONGEST *
#define XY_SHORT_PTR long *
#define XY_INT_PTR long *

#define XY_UNSIGNED_CHAR_PTR unsigned long *
#define XY_UNSIGNED_SHORT_PTR unsigned long *
#define XY_UNSIGNED_LONG_PTR LONGEST *
#define XY_UNSIGNED_INT_PTR unsigned long *
#define XY_POINTER_PTR unsigned long *

#define UNSIGNED_LONGEST_PTR LONGEST *

#define ADDR_BITS 0xffffl
#define WORD_BITS (0XFFFFFFL)
#define TARGET_WORD_NUM_BITS 24

#define SIGN_TEST_BIT (0X800000L)
#define SIGN_EXTENSION_BITS (~0XFFFFFFL)

#define LONGEST_TO_HOST_UNSIGNED_CHAR(num) ((((num).w1.u)<<TARGET_WORD_NUM_BITS)|((num).w0.u))  
#define LONGEST_TO_HOST_CHAR(num) ((((num).w1.l)<<TARGET_WORD_NUM_BITS)|((num).w0.l))  
#define LONGEST_TO_HOST_INT(num) ((((num).w1.l)<<TARGET_WORD_NUM_BITS)|((num).w0.l))  

LONGEST core_addr_to_long();
#define CORE_ADDR_TO_LONG(num) core_addr_to_long(num) 
#define CORE_ADDR_TO_LONGEST(num) (num) 
#define LONGEST_TO_CORE_ADDR(num) (num)

double kp_to_double();
LONGEST double_to_kp();
#define DOUBLE_TO_TARGET_DOUBLE(num) double_to_kp(num)
#define DOUBLE_TO_TARGET_FLOAT(num) double_to_kp(num)
#define TARGET_DOUBLE_TO_DOUBLE(num) kp_to_double(num)
#define TARGET_FLOAT_TO_DOUBLE(num) kp_to_double(num)

LONGEST 
longest_to_target_int(),longest_to_target_unsigned_int(),
longest_to_target_long(),longest_to_target_pointer();

#define EXTEND_CHAR(num) longest_to_target_int(num)
#define EXTEND_SHORT(num) longest_to_target_int(num)
#define EXTEND_INT(num) longest_to_target_int(num)
#define EXTEND_LONG(num) longest_to_target_long(num)
#define EXTEND_UNSIGNED_CHAR(num) longest_to_target_unsigned_int(num)
#define EXTEND_UNSIGNED_SHORT(num) longest_to_target_unsigned_int(num)
#define EXTEND_UNSIGNED_INT(num) longest_to_target_unsigned_int(num)
#define EXTEND_UNSIGNED_LONG(num) longest_to_target_long(num)
#define EXTEND_POINTER(num) longest_to_target_pointer(num)

#define XY_LONGEST_TO_TARGET_CHAR(num)((num).w0.l) 
#define XY_LONGEST_TO_TARGET_SHORT(num)((num).w0.l) 
#define XY_LONGEST_TO_TARGET_INT(num)((num).w0.l) 
#define XY_LONGEST_TO_TARGET_LONG(num) (num)

#define LM_LONGEST_TO_TARGET_CHAR(num) longest_to_target_unsigned_int(num)
#define LM_LONGEST_TO_TARGET_SHORT(num) longest_to_target_int(num)
#define LM_LONGEST_TO_TARGET_INT(num) longest_to_target_int(num)
#define LM_LONGEST_TO_TARGET_LONG(num) (num)

#define LONGEST_TO_UNSIGNED_LONGEST(num) (num)
#define UNSIGNED_LONGEST_TO_LONGEST(num) (num)

double add_double(),sub_double(),mul_double(),div_double(),
neg_double(),target_unsigned_long_to_double(),target_long_to_double();

#define LM_TARGET_CHAR_TO_DOUBLE(v1) ((double) ((v1).w0.l)) 
#define LM_TARGET_SHORT_TO_DOUBLE(v1) ((double) ((v1).w0.l))
#define LM_TARGET_INT_TO_DOUBLE(v1) ((double) ((v1).w0.l))
#define LM_TARGET_LONG_TO_DOUBLE(v1) target_long_to_double(v1)

#define LM_TARGET_UNSIGNED_CHAR_TO_DOUBLE(v1) ((double) ((v1).w0.u))
#define LM_TARGET_UNSIGNED_SHORT_TO_DOUBLE(v1) ((double) ((v1).w0.u))
#define LM_TARGET_UNSIGNED_INT_TO_DOUBLE(v1) ((double) ((v1).w0.u))
#define LM_TARGET_UNSIGNED_LONG_TO_DOUBLE(v1) target_unsigned_long_to_double(v1)

#define XY_TARGET_CHAR_TO_DOUBLE(v1) ((double) (v1)) 
#define XY_TARGET_SHORT_TO_DOUBLE(v1) ((double) (v1))
#define XY_TARGET_INT_TO_DOUBLE(v1) ((double) (v1))
#define XY_TARGET_LONG_TO_DOUBLE(num) target_long_to_double(num)

#define XY_TARGET_UNSIGNED_CHAR_TO_DOUBLE(v1) ((double) (v1))
#define XY_TARGET_UNSIGNED_SHORT_TO_DOUBLE(v1) ((double) (v1))
#define XY_TARGET_UNSIGNED_INT_TO_DOUBLE(v1) ((double) (v1))
#define XY_TARGET_UNSIGNED_LONG_TO_DOUBLE(num) target_unsigned_long_to_double(num)

#define XY_TARGET_CHAR_TO_LONGEST(v1) long_to_longest(v1)
#define LM_TARGET_CHAR_TO_LONGEST(v1) (v1)

#define ADD_DOUBLE(v1,v2) add_double(v1, v2)
#define SUB_DOUBLE(v1,v2) sub_double(v1, v2)
#define MUL_DOUBLE(v1,v2) mul_double(v1, v2)
#define DIV_DOUBLE(v1,v2) div_double(v1, v2)
#define NEG_DOUBLE(v1) neg_double(v1)

LONGEST add_longest(),sub_longest(),int_to_longest(),
char_to_longest(),short_to_longest(),unsigned_long_to_longest(),
unsigned_char_to_longest(),unsigned_short_to_longest(),
unsigned_int_to_longest(),long_to_longest(),
mul_longest(),div_longest(),rem_longest(),
lsh_longest(),rsh_longest(),logand_longest(),
logior_longest(),logxor_longest(),and_longest(),
or_longest(),min_longest(),max_longest(),neg_longest(),lognot_longest();

LONGEST 
mul_unsigned_longest(),div_unsigned_longest(),rem_unsigned_longest(),
rsh_unsigned_longest(),
min_unsigned_longest(),max_unsigned_longest(),unpack_field_as_longest();
#define MODIFY_FIELD_LONGEST(addr,fieldval,bitpos,bitsize) \
 modify_field_longest(addr,fieldval,bitpos,bitsize)
#define UNPACK_FIELD_AS_LONGEST(valaddr,bitpos,bitsize) \
 unpack_field_as_longest(valaddr,bitpos,bitsize)
#define ADD_UNSIGNED_LONGEST(v1,v2) add_longest(v1,v2) 
#define SUB_UNSIGNED_LONGEST(v1,v2) sub_longest(v1,v2)
#define MUL_UNSIGNED_LONGEST(v1,v2) mul_unsigned_longest(v1,v2)
#define DIV_UNSIGNED_LONGEST(v1,v2) div_unsigned_longest(v1,v2)
#define REM_UNSIGNED_LONGEST(v1,v2) rem_unsigned_longest(v1,v2)
#define LSH_UNSIGNED_LONGEST(v1,v2) lsh_longest(v1,v2)
#define RSH_UNSIGNED_LONGEST(v1,v2) rsh_unsigned_longest(v1,v2)
#define LOGAND_UNSIGNED_LONGEST(v1,v2) logand_longest(v1,v2)
#define LOGIOR_UNSIGNED_LONGEST(v1,v2) logior_longest(v1,v2)
#define LOGXOR_UNSIGNED_LONGEST(v1,v2) logxor_longest(v1,v2)
#define AND_UNSIGNED_LONGEST(v1,v2) and_longest(v1,v2)
#define OR_UNSIGNED_LONGEST(v1,v2) or_longest(v1,v2)
#define MIN_UNSIGNED_LONGEST(v1,v2) min_unsigned_longest(v1,v2)
#define MAX_UNSIGNED_LONGEST(v1,v2) max_unsigned_longest(v1,v2)
 
#define ADD_LONGEST(v1,v2) add_longest(v1,v2) 
#define SUB_LONGEST(v1,v2) sub_longest(v1,v2)
#define MUL_LONGEST(v1,v2) mul_longest(v1,v2)
#define DIV_LONGEST(v1,v2) div_longest(v1,v2)
#define REM_LONGEST(v1,v2) rem_longest(v1,v2)
#define LSH_LONGEST(v1,v2) lsh_longest(v1,v2)
#define RSH_LONGEST(v1,v2) rsh_longest(v1,v2)
#define LOGAND_LONGEST(v1,v2) logand_longest(v1,v2)
#define LOGIOR_LONGEST(v1,v2) logior_longest(v1,v2)
#define LOGXOR_LONGEST(v1,v2) logxor_longest(v1,v2)
#define AND_LONGEST(v1,v2) and_longest(v1,v2)
#define OR_LONGEST(v1,v2) or_longest(v1,v2)
#define MIN_LONGEST(v1,v2) min_longest(v1,v2)
#define MAX_LONGEST(v1,v2) max_longest(v1,v2)
#define NEG_LONGEST(v1) neg_longest(v1)
#define LOGNOT_LONGEST(v1) lognot_longest(v1)

#define HOST_CHAR_TO_LONGEST(v1) char_to_longest(v1)
#define HOST_SHORT_TO_LONGEST(v1) short_to_longest(v1)
#define HOST_INT_TO_LONGEST(v1) int_to_longest(v1)
#define HOST_UNSIGNED_LONG_TO_LONGEST(v1) unsigned_long_to_longest(v1)
#define HOST_UNSIGNED_CHAR_TO_LONGEST(v1) unsigned_char_to_longest(v1)
#define HOST_UNSIGNED_SHORT_TO_LONGEST(v1) unsigned_short_to_longest(v1)
#define HOST_UNSIGNED_INT_TO_LONGEST(v1) unsigned_int_to_longest(v1)

int equal_longest(),equal_double(),equal_ptr();
#define EQUAL_LONGEST(v1,v2) equal_longest(v1,v2)
#define EQUAL_PTR(v1,v2) equal_ptr(v1,v2)
#define EQUAL_DOUBLE(v1,v2) equal_double(v1,v2)
int less_longest(),less_double(),less_ptr(),less_unsigned_longest();
#define LESS_LONGEST(v1,v2) less_longest(v1,v2)
#define LESS_UNSIGNED_LONGEST(v1,v2) less_unsigned_longest(v1,v2)
#define LESS_PTR(v1,v2) less_ptr(v1,v2)
#define LESS_DOUBLE(v1,v2) less_double(v1,v2)

#define SIZEOF_FLT (sizeof(long)+sizeof(long))
#define SIZEOF_DOUBLE (sizeof(long)+sizeof(long))

#define SIZEOF_CHAR ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))
#define SIZEOF_SHORT ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))
#define SIZEOF_LONG (sizeof(long)+sizeof(long))
#define SIZEOF_INT ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))
#define SIZEOF_UNSIGNED_CHAR ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))
#define SIZEOF_UNSIGNED_SHORT ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))
#define SIZEOF_UNSIGNED_LONG (sizeof(long)+sizeof(long))
#define SIZEOF_UNSIGNED_INT ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))
#define SIZEOF_POINTER ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))
#define SIZEOF_REGISTER_TYPE ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))

#define DSIZEOF_FLT (sizeof(long)+sizeof(long))
#define DSIZEOF_DOUBLE (sizeof(long)+sizeof(long))

#define DSIZEOF_CHAR (sizeof(long))
#define DSIZEOF_SHORT (sizeof(long))
#define DSIZEOF_LONG (sizeof(long)+sizeof(long))
#define DSIZEOF_INT (sizeof(long))
#define DSIZEOF_UNSIGNED_CHAR (sizeof(long))
#define DSIZEOF_UNSIGNED_SHORT (sizeof(long))
#define DSIZEOF_UNSIGNED_LONG (sizeof(long)+sizeof(long))
#define DSIZEOF_UNSIGNED_INT (sizeof(long))
#define DSIZEOF_POINTER (sizeof(long))
#define DSIZEOF_REGISTER_TYPE (sizeof(long))


#define TARGET_PACKED_FIELDS_BIG_ENDIAN 0
#define ADDRESS_ALIGN ((LMAP)?sizeof(long)+sizeof(long):sizeof(long))
#define PADDRESS_ALIGN (sizeof(long))
#define CORE_ADDR_W0(ca) ((ca).w0.l)
#define CORE_ADDR_W1(ca) ((ca).w1.l)
#define CORE_ADDR_CAST(ca) (unsigned long)
#define COFF_VALUE CORE_ADDR
#define CORE_ADDR_INVALID(ca,val) ((ca).w1.mape==memory_map_error)
#define CORE_ADDR_VALID(ca,val) ((ca).w1.mape!=memory_map_error)
#define INVALIDATE_CORE_ADDR(ca,val) ((ca).w1.mape=memory_map_error)
#define UNDERSCORE_PREFIX_CHAR 'F'
#define CORE_ZERO core_zero
#define LONGEST_ZERO longest_zero
#define FRAME_ZERO frame_zero_init
#define COFF_AOUT_H <maout.h>
#define VALID_TEXT_ADDRESS(pc) \
 (CORE_ADDR_MAP(pc)==memory_map_p )

char *long_to_dstring(),*int_to_dstring();
#define PRINT_WORD_D(stream,format,val,len)\
fprintf_filtered(stream,"%s",(len==SIZEOF_LONG)? \
      long_to_dstring(val):int_to_dstring(val)) 

char *long_to_ustring(),*int_to_ustring();
#define PRINT_WORD_U(stream,format,val,len) \
fprintf_filtered(stream,"%s",(len==SIZEOF_LONG)? \
      long_to_ustring(val):int_to_ustring(val))

char *long_to_xstring(),*int_to_xstring();
#define PRINT_WORD_X(stream,format,val,len) \
fprintf_filtered(stream,"%s",(len==SIZEOF_LONG)? \
      long_to_xstring(val):int_to_xstring(val))

char *long_to_ostring(),*int_to_ostring();
#define PRINT_WORD_O(stream,format,val,len) \
fprintf_filtered(stream,"%s",(len==SIZEOF_LONG)? \
      long_to_ostring(val):int_to_ostring(val))

char *long_to_0xstring(),*int_to_0xstring();
#define PRINT_WORD_0X(stream,format,val,len) \
fprintf_filtered(stream,"%s",(len==SIZEOF_LONG)? \
      long_to_0xstring(val):int_to_0xstring(val))


CORE_ADDR read_pc();
CORE_ADDR read_register();
CORE_ADDR skip_prologue();
CORE_ADDR frame_saved_pc();
CORE_ADDR frame_locals_address();
CORE_ADDR frame_struct_args_address();
CORE_ADDR frame_args_address();

/* Define the bit, byte, and word ordering of the host machine.  */
#if BIG_ENDIAN
#define BITS_BIG_ENDIAN
#define BYTES_BIG_ENDIAN
#define WORDS_BIG_ENDIAN
#else
#define COFF_BYTE_SWAP
#endif

/* Floating point is IEEE compatible.  */
/*#define IEEE_FLOAT*/

#if MSDOS||DGC||HP
#define USG
#endif
#if HP
#define HAVE_TERMIO
#endif

/* Get rid of any system-imposed stack limit if possible.  */
/* This has to do with the host computer, so leave it here */
/* as long as the host computer is the sun-4 */

#if !MSDOS
#define SET_STACK_LIMIT_HUGE
#endif

/* Define this if the C compiler puts an underscore at the front
   of external names before giving them to the linker.  */
/* Well, we don't have underscores now, but maybe later. */

#define NAMES_HAVE_UNDERSCORE 

/* Debugger information will be in COFF format.  */

#define COFF_FORMAT
#define COFF_TARGET_ONLY
#define M56k 1
#define MOTODSP 1
#define FULLSIM 0 /* for non-display simulator files */

/* When passing a structure to a function, Sun cc passes the address
   in a register, not the structure itself.  It (under SunOS4) creates
   two symbols, so we get a LOC_ARG saying the address is on the stack
   (a lie, and a serious one since we don't know which register to
   use), and a LOC_REGISTER saying that the struct is in a register
   (sort of a lie, but fixable with REG_STRUCT_HAS_ADDR).

   This still doesn't work if the argument is not one passed in a
   register (i.e. it's the 7th or later argument).  */
#define REG_STRUCT_HAS_ADDR(gcc_p) (0)
#define STRUCT_ARG_SYM_GARBAGE(gcc_p) (0)

/* If Pcc says that a parameter is a short, it's a short.  This is
   because the parameter does get passed in in a register as an int,
   but pcc puts it onto the stack frame as a short (not nailing
   whatever else might be there.  I'm not sure that I consider this
   swift.  Sigh.)

   No, don't do this.  The problem here is that pcc says that the
   argument is in the upper half of the word reserved on the stack,
   but puts it in the lower half.  */
/* #define BELIEVE_PCC_PROMOTION 1 */
/* OK, I've added code to dbxread.c to deal with this case.  */
/* This is only used in dbxread.c, which is not active since we */
/* are using coffread.c - so don't worry about it. */
/* #define BELIEVE_PCC_PROMOTION_TYPE */

/* Offset from address of function to start of its code.
   Zero on most machines.  */

#define FUNCTION_START_OFFSET 0
#define RESTART_CROSS_DEBUGGED_CODE(exec_file,from_tty) \
  restart_cross_debugged_code(exec_file,from_tty)

/* Advance PC across any function entry prologue instructions
   to reach some "real" code.  */

#define SKIP_PROLOGUE(pc) \
  { pc = skip_prologue (pc); }

/* Immediately after a function call, return the saved pc.
   Can't go through the frames for this because on some machines
   the new frame is not set up until the new function executes
   some instructions.  */

/* On the Sun 4 under SunOS, the compile will leave a fake insn which
   encodes the structure size being returned.  If we detect such
   a fake insn, step past it.  */

#define PC_ADJUST(pc) (pc)

extern unsigned long
 saved_pc_after_call();
#define SAVED_PC_AFTER_CALL(frame) saved_pc_after_call()

/* Address of end of stack space.  */
#include <sys/types.h>
#ifndef APLC
#if !DGC
#include <machine/vmparam.h>
#endif
#endif
extern CORE_ADDR stack_end_addr;
#define STACK_END_ADDR stack_end_addr

/* stack grows upward */

#define INNER_THAN >

/* Stack has strict alignment.  */

/*#define STACK_ALIGN(ADDR) (ADDR) */

/* Sequence of bytes for breakpoint instruction.  */

#define BREAKPOINT {0}

/* Amount PC must be decremented by after a breakpoint.
   This is often the number of bytes in BREAKPOINT
   but not always.  */

#define DECR_PC_AFTER_BREAK 0

/* Nonzero if instruction at PC is a return instruction.  */

/* this is an rts instruction for M56k */

#define ABOUT_TO_RETURN(pc) (0)
/* ((read_memory_integer (pc, 4)) == 0xcl) */

/* Return 1 if P points to an invalid floating point value.  */

#define INVALID_FLOAT(p, len) 0 /* Just a first guess; not checked */

/* Name of the builtin type for the LONGEST type above. */
#define BUILTIN_TYPE_LONGEST builtin_type_long

/* Say how long (ordinary) registers are.  */

#define REGISTER_TYPE long

/* Number of machine registers */

#define NUM_REGS 84

/* Initializer for an array of names of registers.
   There should be NUM_REGS strings in this initializer.  */

#define REGISTER_NAMES \
{ /* register names */ \
"a10",\
"a0",\
"a1",\
"a2",\
"b10",\
"b0",\
"b1",\
"b2",\
"bcr",\
"cra",\
"crb",\
"cvr",\
"cyc",\
"hcr",\
"hrx",\
"hsr",\
"htx",\
"icr",\
"ictr",\
"ipr",\
"isr",\
"ivr",\
"la",\
"lc",\
"m0",\
"m1",\
"m2",\
"m3",\
"m4",\
"m5",\
"m6",\
"m7",\
"n0",\
"n1",\
"n2",\
"n3",\
"n4",\
"n5",\
"n6",\
"n7",\
"omr",\
"pbc",\
"pbd",\
"pbddr",\
"pc", \
"pcc",\
"pcd",\
"pcddr",\
"r0",\
"r1",\
"r2",\
"r3",\
"r4",\
"r5",\
"r6",\
"r7",\
"rx",\
"rxh",\
"rxl",\
"rxm",\
"sccr",\
"scr",\
"sp", \
"sr",\
"srx",\
"ssh",\
"ssisr",\
"ssl",\
"ssr",\
"stx",\
"stxa",\
"tsr",\
"tx",\
"txh",\
"txl",\
"txm",\
"x",\
"x0",\
"x1",\
"y",\
"y0",\
"y1",\
"fp"/* address of executing stack frame */,\
"ssp"\
   }

/* Register numbers of various important registers.
   Note that some of these values are "real" register numbers,
   and correspond to the general registers of the machine,
   and some are "phony" register numbers which are too large
   to be actual register numbers as far as the user is concerned
   but do serve to get the desired values when passed to read_register.  */

#define A0_REGNUM 1
#define A10_REGNUM 0		/* A10 register */
#define A1_REGNUM 2		/* A1 register */
#define A2_REGNUM 3
#define B10_REGNUM 4
#define B0_REGNUM 5
#define B1_REGNUM 6
#define B2_REGNUM 7
#define CYC_REGNUM 12
#define ICNT_REGNUM 18
#define LA_REGNUM 22
#define N0_REGNUM 32
#define N1_REGNUM 33
#define N2_REGNUM 34
#define N3_REGNUM 35
#define N4_REGNUM 36
#define N5_REGNUM 37
#define N6_REGNUM 38
#define N7_REGNUM 39
#define R0_REGNUM 48		/*  R0 register */
#define R1_REGNUM 49
#define R2_REGNUM 50
#define R3_REGNUM 51
#define R4_REGNUM 52
#define R5_REGNUM 53
#define R6_REGNUM 54
#define R7_REGNUM 55
#define X10_REGNUM 76
#define X0_REGNUM 77
#define X1_REGNUM 78
#define Y10_REGNUM 79
#define Y0_REGNUM 80
#define Y1_REGNUM 81
#define FP_REGNUM 82		/* Contains address of executing stack frame */
#define SP_REGNUM 62		/* Contains address of top of stack, */
#define PS_REGNUM 63		/* Contains processor status */
#define PC_REGNUM 44		/* Contains program counter */

struct reg_var_xref{
int ix;
int lx;
};

extern struct reg_var_xref reg_var_xref[];
#define SYMBOL_NUM_XREF(sym) \
{ \
 int reg_num_cc = CORE_ADDR_ADDR(SYMBOL_VALUE(sym)); \
 CORE_ADDR_ADDR(SYMBOL_VALUE(sym))= \
(TYPE_DATA_LENGTH(SYMBOL_TYPE (sym))>DSIZEOF_INT)? \
 reg_var_xref[reg_num_cc].lx: reg_var_xref[reg_num_cc].ix; \
}

struct dsp_56k_registers{
/* bytes in each register 12=accum 8=2word 4=1word */
unsigned long a[3]; /* a0,a1,a2 */
unsigned long b[3]; /* b0,b1,b2 */
unsigned long bcr;
unsigned long cra;
unsigned long crb;
unsigned long cvr;
unsigned long cyc[2];
unsigned long hcr;
unsigned long hrx;
unsigned long hsr;
unsigned long htx;
unsigned long icr;
unsigned long ictr[2];
unsigned long ipr;
unsigned long isr;
unsigned long ivr;
unsigned long la;
unsigned long lc;
unsigned long m0;
unsigned long m1;
unsigned long m2;
unsigned long m3;
unsigned long m4;
unsigned long m5;
unsigned long m6;
unsigned long m7;
unsigned long n0;
unsigned long n1;
unsigned long n2;
unsigned long n3;
unsigned long n4;
unsigned long n5;
unsigned long n6;
unsigned long n7;
unsigned long omr;
unsigned long pbc;
unsigned long pbd;
unsigned long pbddr;
CORE_ADDR pc;
unsigned long pcc;
unsigned long pcd;
unsigned long pcddr;
unsigned long r0;
unsigned long r1;
unsigned long r2;
unsigned long r3;
unsigned long r4;
unsigned long r5;
unsigned long r6;
unsigned long r7;
unsigned long rx;
unsigned long rxh;
unsigned long rxl;
unsigned long rxm;
unsigned long sccr;
unsigned long scr;
CORE_ADDR sp;
unsigned long sr;
unsigned long srx;
unsigned long ssh;
unsigned long ssisr;
unsigned long ssl;
unsigned long ssr;
unsigned long stx;
unsigned long stxa;
unsigned long tsr;
unsigned long tx;
unsigned long txh;
unsigned long txl;
unsigned long txm;
unsigned long x[2];/* X0,X1 */
unsigned long y[2];/* Y0,Y1 */
CORE_ADDR fp;
unsigned long ssp;
};
/* Total amount of space needed to store our copies of the machine's
   register state, the array `registers'.  */
#define REGISTER_BYTES (sizeof(struct dsp_56k_registers))

/* Index within `registers' of the first byte of the space for
   register N.  */
#define REGISTER_BYTE(N)  (dsp_56k_register_byte(N))

/* Number of bytes of storage in the actual machine representation
   for register N.  */

#define REGISTER_RAW_SIZE(N) (dsp_56k_register_raw_size(N))

/* Number of bytes of storage in the program's representation
   for register N.  */

#define REGISTER_VIRTUAL_SIZE(N) (dsp_56k_register_raw_size(N))

/* Largest value REGISTER_RAW_SIZE can have.  */

#define MAX_REGISTER_RAW_SIZE 12

/* Largest value REGISTER_VIRTUAL_SIZE can have.  */

#define MAX_REGISTER_VIRTUAL_SIZE 12

/* Nonzero if register N requires conversion
   from raw format to virtual format.  */
/* this might normally be used for converting internal floating
   point format to ieee floating point format before register
   display */

#define REGISTER_CONVERTIBLE(N) (0)

/* Convert data from raw format for register REGNUM
   to virtual format for register REGNUM.  */

#define REGISTER_CONVERT_TO_VIRTUAL(REGNUM,FROM,TO) \
{ bcopy ((FROM), (TO), REGISTER_RAW_SIZE(REGNUM)); }

/* Convert data from virtual format for register REGNUM
   to raw format for register REGNUM.  */

#define REGISTER_CONVERT_TO_RAW(REGNUM,FROM,TO)	\
{ bcopy ((FROM), (TO), REGISTER_RAW_SIZE(REGNUM)); }

/* Return the GDB type object for the "standard" data type
   of data in register N.  */
/* need to change this to reflect the size of long and accum */

struct type *register_virtual_type();
#define REGISTER_VIRTUAL_TYPE(N) register_virtual_type(N)

/* Store the address of the place in which to copy the structure the
   subroutine will return.  This is called from call_function. */

#define STORE_STRUCT_RETURN(ADDR, SP) store_struct_return(ADDR,SP)

/* Extract from an array REGBUF containing the (raw) register state
   a function return value of type TYPE, and copy that, in virtual format,
   into VALBUF.  */

#define EXTRACT_RETURN_VALUE(TYPE,REGBUF,VALBUF)	      \
     bcopy ((TYPE_DATA_LENGTH (TYPE)==SIZEOF_LONG)?REGBUF:&REGBUF[4], \
            VALBUF, TYPE_DATA_LENGTH (TYPE)) 

/* Write into appropriate registers a function return value
   of type TYPE, given in virtual format.  */
#define STORE_RETURN_VALUE(TYPE,VALBUF) store_return_value(TYPE,VALBUF)

/* Extract from an array REGBUF containing the (raw) register state
   the address in which a function should return its structure value,
   as a CORE_ADDR (or an expression that can be used as one).  */
CORE_ADDR extract_struct_value_address();
#define EXTRACT_STRUCT_VALUE_ADDRESS(REGBUF) extract_struct_value_address(REGBUF)

/* FRAME_CHAIN takes a frame's nominal address
   and produces the frame's chain-pointer.

   FRAME_CHAIN_COMBINE takes the chain pointer and the frame's nominal address
   and produces the nominal address of the caller frame.

   However, if FRAME_CHAIN_VALID returns zero,
   it means the given frame is the outermost one and has no caller.
   In that case, FRAME_CHAIN_COMBINE is not used.  */

/* In the case of the M56k, the frame's nominal address
    is the address of a 4-byte word containing the calling frame's address.  */

unsigned long frame_chain();
 
#define EXTRA_FRAME_INFO CORE_ADDR ofp; /* old fp position */
#define FRAME_CHAIN(thisframe)  frame_chain(thisframe)
 
#define FRAME_CHAIN_VALID(chain, thisframe) frame_chain_valid(chain,thisframe)

#define FRAME_CHAIN_COMBINE(chain, thisframe) (chain)

/* Define other aspects of the stack frame.  */

/* A macro that tells us whether the function invocation represented
   by FI does not have a frame on the stack associated with it.  If it
   does not, FRAMELESS is set to 1, else 0.  */

#if 0
#define FRAMELESS_FUNCTION_INVOCATION(FI, FRAMELESS) \
  frameless_function_invocation(FI, &FRAMELESS)
#endif

/* Where is the PC for a specific frame */

#define FRAME_SAVED_PC(FRAME) frame_saved_pc (FRAME)

/* If the argument is on the stack, it will be here.  */
#define FRAME_ARGS_ADDRESS(fi) frame_args_address(fi)

#define FRAME_STRUCT_ARGS_ADDRESS(fi) frame_struct_args_address(fi)

#define FRAME_LOCALS_ADDRESS(fi) frame_locals_address(fi)

/* Set VAL to the number of args passed to frame described by FI.
   Can set VAL to -1, meaning no way to tell.  */

/* We can't tell how many args there are
   now that the C compiler delays popping them.  */
#define FRAME_NUM_ARGS(val,fi) (val = -1)

/* Return number of bytes at start of arglist that are not really args.  */
extern int frame_args_skip();
#define FRAME_ARGS_SKIP frame_args_skip()

/* Put here the code to store, into a struct frame_saved_regs,
   the addresses of the saved registers of frame described by FRAME_INFO.
   This includes special registers such as pc and fp saved in special
   ways in the stack frame.  sp is even more special:
   the address we return for it IS the sp for the next frame.

   Note that on register window machines, we are currently making the
   assumption that window registers are being saved somewhere in the
   frame in which they are being used.  If they are stored in an
   inferior frame, find_saved_register will break.

   On the Sun 4, the only time all registers are saved is when
   a dummy frame is involved.  Otherwise, the only saved registers
   are the LOCAL and IN registers which are saved as a result
   of the "save/restore" opcodes.  This condition is determined
   by address rather than by value.  */

extern frame_find_saved_registers();
#define FRAME_FIND_SAVED_REGS(fi, frame_saved_regs)    	    \
 frame_find_saved_registers(fi, &(frame_saved_regs))

/* Things needed for making the inferior call functions.  */
 /*
 *   PUSH_DUMMY_FRAME saves the registers above sp' and pushes the
 * register file stack down one.
 *
 *   call_function then writes CALL_DUMMY, pushes the args onto the
 * stack, and adjusts the stack pointer.
 *
 *   run_stack_dummy then starts execution (in the middle of
 * CALL_DUMMY, as directed by call_function).
 */


/* The 56k can't execute the stack since it is in x or y memory */
#define CANNOT_EXECUTE_STACK 1

/* Push an empty stack frame, to record the current PC, etc.  */

#define PUSH_DUMMY_FRAME push_dummy_frame()

/* Discard from the stack the innermost frame,
   restoring all saved registers.
   Note that the values stored in fsr by get_frame_saved_regs are *in
   the context of the inferior frame*.  What this means is that the i
   regs of fsr must be restored into the o regs of the frame popped
   into.  We don't care about the output regs of the inferior frame.

   This is true for dummy frames.  Is it true for normal frames?  It
   really does appear so. */

extern pop_frame();
#define POP_FRAME  pop_frame()

/* This sequence of words is the instructions

     /..* The arguments are pushed at this point by GDB;
   no code is needed in the dummy for this.
   The CALL_DUMMY_START_OFFSET gives the position of
   the following jsr instruction.  *../
     jsr >#0 ; the 0 gets replaced by FIX_CALL_DUMMY
     move #>0,n6 ; the 0 gets replaced by FIX_CALL_DUMMY
     nop
     move (r6)-n6 ; clean up stack
     nop ;finished with dummy routine (will need to be swi for hdwr)
     nop ;extra two words required by wait_for_inferior

Note this is 8 words.
We actually start executing at the jsr, since the pushing of the
registers is done by PUSH_DUMMY_FRAME.  If this were real code,
the arguments for the function called by the jsr would be pushed
prior to the jsr, and we could allow it to execute through.
But the arguments have to be pushed by GDB after the PUSH_DUMMY_FRAME is done,
and we cannot allow the moveml to push the registers again lest they be
taken for the arguments.  */

#define CALL_DUMMY {0xbf080l,0x0l,0x76f400l,0l,0l,0x204600l,0x0l,0l}

#define CALL_DUMMY_START_OFFSET 0

#define CALL_DUMMY_LENGTH 8

/* Insert the specified number of args and function address
   into a call sequence of the above form stored at DUMMYNAME.  */

#define FIX_CALL_DUMMY(dummyname, pc, fun, nargs, type)     \
{ *(dummyname+1) = CORE_ADDR_ADDR(fun); *(dummyname+3)=nargs;}

/* It does have a wait structure, and it might help things out . . . */
/* This probably can stay since it deals mostly with the host machine */

#if !MSDOS
/*#define HAVE_WAIT_STRUCT*/
#endif

/* from the convex header files */
/* Defs to read soff symbol tables, see dbxread.c */
#if 0
#define NUMBER_OF_SYMBOLS    ((long) opthdr.o_nsyms)
#define STRING_TABLE_OFFSET  ((long) filehdr.h_strptr)
#define SYMBOL_TABLE_OFFSET  ((long) opthdr.o_symptr)
#define STRING_TABLE_SIZE    ((long) filehdr.h_strsiz)
#define SIZE_OF_TEXT_SEGMENT ((long) txthdr.s_size)
#define ENTRY_POINT          ((long) opthdr.o_entry)
#endif

#define PRINT_ADDR(addr) \
{ \
if (CORE_ADDR_MAP(addr)==memory_map_p) \
   printf("p:0x%lx",CORE_ADDR_ADDR(addr)); \
else if (CORE_ADDR_MAP(addr)==memory_map_x) \
   printf("x:0x%lx",CORE_ADDR_ADDR(addr)); \
else if (CORE_ADDR_MAP(addr)==memory_map_y) \
   printf("y:0x%lx",CORE_ADDR_ADDR(addr)); \
else printf("l:0x%lx",CORE_ADDR_ADDR(addr)); \
}

#define DO_REGISTERS_INFO(regnum) do_registers_info(regnum)

#define XDEBUG 1




