/* $Id: m56k-pin.c,v 1.5 1993/04/08 22:07:29 jay Exp $*/
/* Disassembler for the m56k.
   Copyright (C) 1989 Free Software Foundation, Inc.

$Id: m56k-pin.c,v 1.5 1993/04/08 22:07:29 jay Exp $

This file is part of GDB, the GNU disassembler.

GDB is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

GDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GDB; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */

#include <stdio.h>

#include "defs.h"
#include "param.h"
#include "symtab.h"
#include "opcode.h"
#include "simcom.h"
#include "simdev.h"
struct m56k_insn{unsigned long insw[2];};
extern struct dt_var *dx_var;
static
struct sdb_dasm rv;
int
print_insn (memaddr, stream)
     CORE_ADDR memaddr;
     FILE *stream;
{
  struct m56k_insn insn;
	 char dbuf[200];

  CORE_ADDR jaddr;
  jaddr=CORE_ZERO;
  rv.pc=CORE_ADDR_ADDR(memaddr);
  read_memory (memaddr, &insn, sizeof (insn));
  dspt_unasm_56x(dx_var->devnum,insn.insw[0],insn.insw[1],dbuf,0l,0l,&rv);
  fputs_filtered (dbuf, stream);
  if (rv.memflag&DSP_MFP){
   CORE_ADDR_ADDR(jaddr)=rv.paddr;
   fputs_filtered (" ;",stream);
   print_address(jaddr,stream);
   }
  return (rv.numwords?rv.numwords:1);
}


